import subprocess
import re
import os



# CHANGE THIS TO YOUR ENVIRONMENT NAME
ENVIRONMENT_NAME = 'myenv'



def get_conda_path():
    conda_path = subprocess.check_output('conda info --base', shell=True)
    conda_path = conda_path.decode('utf-8')
    conda_path = re.sub(r'\\', '/', conda_path)
    conda_path = re.sub(r'' + os.linesep, '', conda_path)
    return conda_path

if __name__ == '__main__':
    conda_path = get_conda_path()

    script = '#!/bin/bash\n'
    script += f'. {conda_path}/etc/profile.d/conda.sh\n'
    script += f'conda activate {ENVIRONMENT_NAME}\n'
    script += 'python main.py\n'
    script += 'read -p "Press any key to quit... " -n1 -s'
    with open('run.sh', 'w') as f:
        f.write(script)